/* 
  Agent.m

  Barry McMullin <mcmullin@eeng.dcu.ie>
  JAN-1997
*/

#import "Agent.h"

@implementation Agent: SwarmObject


-(int) getMark {
  return mark;
}

-(void) setMark: (int) inMark {
  mark = inMark;
}

-saveTo: (id <OutFile>) file {
  [file putInt: mark];
  [file putString: " "];

  return (self);
}

-loadFrom: (id <InFile>) file {
  [file getInt: &mark];

  return (self);
}

-(void) xprintStatus {
  printf("Agent: xprintStatus (self: %p)\n", self);
  printf("  mark: %d\n", mark);
}

@end
