/* 
  OrientationCode.h

  Barry McMullin <mcmullin@eeng.dcu.ie>
  MAR-1997


  This header just defines the enumerated type OrientationCode
  This type provides symbolic (and possibly even meaningful)
  names for orientations on a 2d square or triangular 
  lattice. That's all.

*/

typedef enum { 
  SqrNorthSouth, 
  SqrEastWest,
  SqrNorthEastSouthWest,
  SqrNorthWestSouthEast,
  TriNorthSouth,
  TriNorthEastSouthWest,
  TriNorthWestSouthEast
  } OrientationCode;
   
