/* 
   Bernoulli.h

   Barry McMullin <mcmullin@eeng.dcu.ie>
   07-Jan-1997
*/

#import <objectbase/SwarmObject.h>

@interface Bernoulli: SwarmObject 
// <ProbabilityDistribution>
{
  id uniformDouble;
}

+(id) create: (id) aZone setGenerator: (id) generator;

-(BOOL) getTossWithProb: (double) p;
  /* Return YES with probability p */

- (unsigned)    getStateSize;
- (void)        putStateInto: (void *) state;
- (void)        setStateFrom: (void *) state;

@end

